Subject: Re: PROBLEM: Only 2 of 4 cores used on IBM Cell blades and no threads shown in spufs

From: Dennis Schridde <[email-masked]>
Date: Tue, 23 Apr 2013 14:01:16 +0200

Am Mon, 22 Apr 2013 18:44:13 +0200
schrieb Dennis Schridde <[email-masked]>:
> [4.] Kernel information
> 
> [4.1.] Kernel version (from /proc/version):
> I am using the Linux 3.8.8 kernel (vanilla-sources-3.8.8 on
> Gentoo/Linux): # cat /proc/version 
> Linux version 3.8.8 (root@blade00) (gcc version 4.7.2 (Gentoo
> 4.7.2-r1 p1.5, pie-0.5.5) ) #2 SMP Mon Apr 22 18:21:20 CEST 2013

Actually this is only partially correct.

I applied following patch by Grant Likely
<[email-masked]> to fix some IRQ mapping problems:

diff --git a/arch/powerpc/platforms/cell/pmu.c
b/arch/powerpc/platforms/cell/pmu.c index 59c1a16..348a27b 100644
--- a/arch/powerpc/platforms/cell/pmu.c
+++ b/arch/powerpc/platforms/cell/pmu.c
@@ -382,7 +382,7 @@ static int __init cbe_init_pm_irq(void)
        unsigned int irq;
        int rc, node;

-       for_each_node(node) {
+       for_each_online_node(node) {
                irq = irq_create_mapping(NULL, IIC_IRQ_IOEX_PMI |
                                               (node <<
  IIC_IRQ_NODE_SHIFT)); if (irq == NO_IRQ) {

And now I also applied the patch by Michael Ellerman
<[email-masked]> that supposedly fixes the
all-processes-running-on-CPU0 issue - I will report back with results
later.

--Dennis